Developer
News and Updates
Get Support
Sign in
Get Support
Sign in
DOCUMENTATION
Cloud
Data Center
Resources
Sign in
Sign in
DOCUMENTATION
Cloud
Data Center
Resources
Sign in
  • App Installations
  • Atlassian GraphQL
  • Confluence
  • Forge Context
  • Forge Dynamic Modules
  • Forge Events
  • Forge KVS
  • Forge LLM
  • Forge Object Store
  • Forge Proxy
  • Forge Realtime
  • Forge SQL
  • Jira
Platform
Forge / Reference / APIs for Forge Containers

Forge Realtime

Postman Collection
OpenAPI

Forge realtime service endpoints for publishing events

POST

Publish an event to a realtime channel

Proxies POST requests to Forge realtime services for publishing events. All clients in the same context as the sender and subscribed to this realtime channel will receive the event. "Publish" requests only work when the request originated from a UI context invocation. In the forge-proxy-authorization header you must specify the id of the invocation; you can't perform operations on behalf of an installationId.

Forge and OAuth2 apps cannot access this REST resource.

Request

Header parameters

forge-proxy-authorization

string

Required
Content-Type

string

Request bodyapplication/json

Event data to be published

name

string

Required
payload

string

Required
options

object

Responses

Realtime message published successfully

application/json

object

POST/forge/realtime/v1/publish
1 2 3 4 5 6 7 8 9 10 11 12 curl --request POST \ --url '{FORGE_EGRESS_PROXY_URL}/forge/realtime/v1/publish' \ --header 'Accept: application/json' \ --header 'forge-proxy-authorization: Forge as=app,id=invocation-123' \ --header 'Content-Type: application/json' \ --data '{ "name": "forge-container-realtime-channel", "payload": "Realtime message sent from the container service, id=1", "options": { "token": "example-token" } }'
POST

Publish an event to a global realtime channel

Proxies POST requests to Forge realtime services for publishing events. All clients subscribed to this global realtime channel will receive the event.

Forge and OAuth2 apps cannot access this REST resource.

Request

Header parameters

forge-proxy-authorization

string

Required
Content-Type

string

Request bodyapplication/json

name

string

Required
payload

string

Required
options

object

Responses

Global realtime message published successfully

application/json

object

POST/forge/realtime/v1/publish/global
1 2 3 4 5 6 7 8 9 curl --request POST \ --url '{FORGE_EGRESS_PROXY_URL}/forge/realtime/v1/publish/global' \ --header 'Accept: application/json' \ --header 'forge-proxy-authorization: Forge as=app,id=invocation-123' \ --header 'Content-Type: application/json' \ --data '{ "name": "forge-container-realtime-channel", "payload": "Realtime message sent from the container service, id=1" }'
POST

Sign a forge realtime token

Signs a forge realtime token that can be used to securely publish events to realtime channels.

Forge and OAuth2 apps cannot access this REST resource.

Request

Header parameters

forge-proxy-authorization

string

Required
Content-Type

string

Request bodyapplication/json

channelName

string

Required
claims

object

Required

Responses

Realtime token signed successfully

application/json

object

POST/forge/realtime/v1/token
1 2 3 4 5 6 7 8 9 10 11 12 13 14 curl --request POST \ --url '{FORGE_EGRESS_PROXY_URL}/forge/realtime/v1/token' \ --header 'Accept: application/json' \ --header 'forge-proxy-authorization: Forge as=app,id=invocation-123' \ --header 'Content-Type: application/json' \ --data '{ "channelName": "forge-container-realtime-channel", "claims": { "allowedUsers": [ "user1", "user2" ] } }'

Rate this page: